Bug 200438 - Review Request: tango-icon-theme - Icons from Tango Project
Review Request: tango-icon-theme - Icons from Tango Project
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-27 13:32 EDT by Piotr Drąg
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-12 14:47:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Piotr Drąg 2006-07-27 13:32:21 EDT
Spec URL: http://pmail.pl/~raven/tango-icon-theme.spec
SRPM URL: http://pmail.pl/~raven/tango-icon-theme-0.7.2-1.src.rpm
Description:

Hi, it's one of my first packages and I'm looking for sponsor. :)

tango icon-theme package contains icons form Tango Project.
Comment 1 Rex Dieter 2006-07-27 14:31:23 EDT
I can't sponsor you, but I'll give you something very review-like:

1.  includes
BuildRequires:	icon-naming-utils >= 0.7.2
but that isn't in Core or Extras (yet).

2. scriptlets should be:
%post
touch --no-create %{_datadir}/icons/Tango 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/Tango 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/Tango 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/Tango 2> /dev/null ||:

Comment 2 Rex Dieter 2006-07-27 14:43:27 EDT
3.  Per http://tango.freedesktop.org/Frequently_Asked_Questions
use

License: Creative Commons Attribution Share-Alike
Comment 3 Rex Dieter 2006-07-27 14:53:02 EDT
Re: icon-naming-utils
It would probably be best if the same person maintained both icon-naming-utils 
and tango-icon-theme.

You can use what I've got for a starting point there (if you don't have it 
already):
http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/icon-naming-utils.spec
(and for reference and pointers
http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/tango-icon-theme.spec
)
Comment 4 Michael J Knox 2006-07-27 14:59:07 EDT
icon-naming-utils is in core and rawhide sports version 0.7.3

http://cvs.fedora.redhat.com/viewcvs/devel/icon-naming-utils/
Comment 5 Piotr Drąg 2006-07-27 15:09:38 EDT
Comment #1: Thanks for the scriptlets.

#2:
[raven@host-86-63-147-192 SRPMS]$ rpmlint tango-icon-theme-0.7.2-1.src.rpm
W: tango-icon-theme invalid-license Creative Commons Attribution Share-AlikeCan 

#3: Can someone add it to FC5 updates-released (or testing)? 
Comment 6 Rex Dieter 2006-07-27 15:17:02 EDT
> icon-naming-utils is in core and rawhide sports version 0.7.3

Coolness, how did I miss that?  (:

>[raven@host-86-63-147-192 SRPMS]$ rpmlint tango-icon-theme-0.7.2-1.src.rpm
>W: tango-icon-theme invalid-license Creative Commons Attribution Share-AlikeCan 
Regardless, that *is* the license (and it is valid, regardless of rpmlint's
whininess)

>#3: Can someone add it to FC5 updates-released (or testing)? 
To what are you referring when you say "it"?
Comment 7 Piotr Drąg 2006-07-27 15:24:14 EDT
>Regardless, that *is* the license (and it is valid, regardless of rpmlint's
whininess)

OK, you are right.

>To what are you referring when you say "it"?

icon-naming-utils, of course. Sorry for my poor English...

New spec and SRPM:
http://pmail.pl/~raven/tango-icon-theme.spec
http://pmail.pl/~raven/tango-icon-theme-0.7.2-2.src.rpm
Comment 8 Rex Dieter 2006-07-27 15:29:19 EDT
>>To what are you referring when you say "it"?

> icon-naming-utils, of course. Sorry for my poor English...

Very little chance, new packages aren't (usually) added to the distro after 
it's been released.  That doesn't preclude it's appearance in fc5/Extras.

Back to the package, would you consider building with
./configure --enable-png-creation
(it helps out kde users)
Comment 9 Piotr Drąg 2006-07-27 15:43:44 EDT
>Very little chance, new packages aren't (usually) added to the distro after 
it's been released.  That doesn't preclude it's appearance in fc5/Extras.

Sorry for my English again. When I said "add to updates", I meant "update to
0.7.3", because this package is in FC5, but in old version (0.6.7).

>Back to the package, would you consider building with
>./configure --enable-png-creation
>(it helps out kde users)

No problem.
Comment 10 Rex Dieter 2006-07-27 15:50:38 EDT
> I meant "update to 0.7.3", because this package is in FC5, 
> but in old version (0.6.7).

Open a bugzilla report, and request and update (and tell them why, you need it
for tango-icon-theme on fc5/Extras)
Comment 11 Brian Pepple 2006-07-27 15:55:24 EDT
Isn't the tango icons already in Rawhide?  Why else would the icon-naming-utils
be in Core?
Comment 12 Rex Dieter 2006-07-27 16:08:13 EDT
afaict, tango is not is rawhide.  Dunno why icon-naming-utils is in Core, but
it's been there since FC-5
Comment 13 Piotr Drąg 2006-07-27 17:09:20 EDT
>Open a bugzilla report, and request and update (and tell them why, you need it
for tango-icon-theme on fc5/Extras)

Thanks for all your help. :) (bug 200457)

>Back to the package, would you consider building with
>./configure --enable-png-creation
>(it helps out kde users)

Done, new spec and SRPM:

http://pmail.pl/~raven/tango-icon-theme.spec
http://pmail.pl/~raven/tango-icon-theme-0.7.2-3.src.rpm
Comment 14 Brian Pepple 2006-07-27 17:55:22 EDT
You should be able to drop the BR on ImageMagick & librsvg2, since the
respective devel packages sonames should pull these in.
Comment 16 Rahul Sundaram 2006-07-27 19:19:51 EDT
(In reply to comment #11)
> Isn't the tango icons already in Rawhide?  Why else would the icon-naming-utils
> be in Core?

http://fedoraproject.org/wiki/Artwork/BluecurveAndBeyond/Gallery

The new theme has adopted the specification, naming etc from Tango for consistency. 
Comment 17 David Nielsen 2006-07-27 19:39:47 EDT
This bombs out on Development (x86_64)

(cd /var/tmp/tango-icon-theme-0.7.2-4-root-root/usr/share/icons/Tango && \
        for icon in address-book-new.png appointment-new.png bookmark-new.png
contact-new.png document-new.png document-open.png document-print.png
document-print-preview.png document-properties.png document-save.png
document-save-as.png edit-clear.png edit-copy.png edit-cut.png edit-delete.png
edit-find.png edit-find-replace.png edit-paste.png edit-redo.png
edit-select-all.png edit-undo.png folder-new.png format-indent-less.png
format-indent-more.png format-justify-center.png format-justify-fill.png
format-justify-left.png format-justify-right.png format-text-bold.png
format-text-italic.png format-text-strikethrough.png format-text-underline.png
go-bottom.png go-down.png go-first.png go-home.png go-jump.png go-last.png
go-next.png go-previous.png go-top.png go-up.png list-add.png list-remove.png
mail-forward.png mail-message-new.png mail-mark-junk.png mail-mark-not-junk.png
mail-reply-all.png mail-reply-sender.png mail-send-receive.png media-eject.png
media-playback-pause.png media-playback-start.png media-playback-stop.png
media-record.png media-seek-backward.png media-seek-forward.png
media-skip-backward.png media-skip-forward.png process-stop.png
system-lock-screen.png system-log-out.png system-search.png system-shutdown.png
tab-new.png view-fullscreen.png view-refresh.png window-new.png        ; do \
                /usr/bin/convert -bordercolor Transparent -border 1x1
22x22/actions/$icon 24x24/actions/$icon; \
        done)
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:
png_get_asm_flags
make[3]: *** [install-data-local] Fejl 127
make[3]: Forlader katalog
'/usr/src/redhat/BUILD/tango-icon-theme-0.7.2/22x22/actions'
make[2]: *** [install-am] Fejl 2
make[2]: Forlader katalog
'/usr/src/redhat/BUILD/tango-icon-theme-0.7.2/22x22/actions'
make[1]: *** [install-recursive] Fejl 1
make[1]: Forlader katalog '/usr/src/redhat/BUILD/tango-icon-theme-0.7.2/22x22'
make: *** [install-recursive] Fejl 1
fejl: Fejl-afslutningsstatus fra /var/tmp/rpm-tmp.11591 (%install)
Comment 18 Paul F. Johnson 2006-07-27 19:43:47 EDT
/usr/bin/convert: symbol lookup error:
/usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/png.so: undefined symbol:

This is an ImageMagick bug and needs reporting in bugzilla. It isn't anything to
do with the package (by the looks of it)
Comment 19 David Nielsen 2006-07-27 19:57:12 EDT
Turns out to be a libpng bug, it's already fixed:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=196580
Comment 20 sean 2006-08-15 18:24:30 EDT
ImageMagick-6.2.8.0-2.x86_64 still has this bug.

While the libpng bug has been fixed in libpng-1.2.10-6,
 IM needs to be rebuilt against it.

I did, and it worked fine.
Comment 21 David Nielsen 2006-08-29 14:27:28 EDT
Since this isn't blocked by the ImageMagick/libpng screwiness anymore is there
an eta on approval. I'd love to see Tango goodness on my desktop without hand
compiling it.
Comment 22 Rex Dieter 2006-08-29 14:34:55 EDT
The main holdup is that Piotr FE_NEEDSPONSOR.
Comment 23 Brian Pepple 2006-09-06 17:04:30 EDT
MD5Sums:
eace48f8340a95d7134632bad6287100 tango-icon-theme-0.7.2.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guideline
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* Builds fine in mock.
* rpmlint gives the following error that can be ignored:
  W: tango-icon-theme invalid-license Creative Commons Attribution Share-Alike

Minor:
* Unnecessary BR: automake isn't needed.  This needs to be fixed before
importing into CVS.


+1 APPROVED, and I'll be your sponsor.

http://fedoraproject.org/wiki/Extras/Contributors#head-a89c07b5b8abe7748b6b39f0f89768d595234907
Comment 24 Piotr Drąg 2006-09-12 14:47:55 EDT
FC-5 and devel created and built successfully, closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.